package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.dto.RzUserRecordAddCmd;
import com.zcloud.basic.info.dto.RzUserRecordPageQry;
import com.zcloud.basic.info.dto.RzUserRecordListQry;
import com.zcloud.basic.info.dto.RzUserRecordUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.RzUserRecordCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
 * web-client
 *
 * @Author SondonYong
 * @Date 2025-12-05 14:00:37
 */
public interface RzUserRecordServiceI {
    PageResponse<RzUserRecordCO> listPage(RzUserRecordPageQry qry);

    MultiResponse<RzUserRecordCO> list(RzUserRecordListQry qry);

    SingleResponse<RzUserRecordCO> getInfoById(Long id);

    SingleResponse<RzUserRecordCO> add(RzUserRecordAddCmd cmd);

    void edit(RzUserRecordUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

